Set Classification
PUT/sites/:siteId/classifications/:classificationId
Sets Classification
Request
Path Parameters
siteId stringrequired
Site Identifier
classificationId stringrequired
Classification Identifier
- application/json
Body
required
Array [
]
Array [
]
Array [
]
classification
object
name string
Name of Classification
attributes
object
compositeKeys
object[]
List of Composite Keys
attributeKeys string[]
required
object[]
List of Required Attributes
defaultEntityTypeId string
defaultEntityId string
minNumberOfValues number
The minimum number of attribute values
maxNumberOfValues number
The maximum number of attribute values
attributeKey string
defaultValue string
Default value
defaultValues string[]
Default values
allowedValues string[]
Only valid string values
optional
object[]
List of Optional Attribute
defaultEntityTypeId string
defaultEntityId string
minNumberOfValues number
The minimum number of attribute values
maxNumberOfValues number
The maximum number of attribute values
attributeKey string
allowedValues string[]
Only valid string values
allowAdditionalAttributes boolean
Default value:
trueResponses
- 200
- 400
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
message string
Result message
{
"message": "string"
}
400 OK
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
errors
object[]
List of errors
key string
Error Key
error string
Error Message
{
"errors": [
{
"key": "string",
"error": "string"
}
]
}
Loading...